box
Author: Peter G. Baum (peter@dr-baum.net)
Keywords: gnocl, Tcl, gtk, gnome

## NAME

box - Create and manipulate a box (frame) widget

## SYNOPSIS

box ?-option optionVal ...?

## OPTIONS

-orientation
  orientation of the child widgets
  type: horizontal, vertical
  default: horizontal

-homogeneous
  Whether or not all children of box are given equal space in the box
  type: boolean
  default: true

-spacing
  how many pixel beween the children
  type: integer
  default: 0

-buttonType
  Whether box is a button box.
  type: boolean
  default: false

-children
  type: list, ""
  default: list of widget ids

-expand
  Whether the children is to be given extra space allocated to box. The extra space will be divided evenly between all children of box
  type: boolean
  default: true

-fill
  Whether space given to the children by the expand option is actually allocated to the children, rather than just padding them. This parameter has no effect if expand is set to false. If horizontal is true, this effects only the width, else it effects only the height of the children.
  type: boolean
  default: true

-label
  label of the frame
  type: string
  default: ""

-shadow
  type of shadow of the frame
  type: none, in, out, etchedIn, etchedOut
  default: none

-xAlign
  alignement of label
  type: double (0 <= xAlign <= 1)
  default: 0

-layout
  Layout of box, only valid if the box is a button box.
  type: default, spread, edge, start, end
  default: default

## DESCRIPTION

The gnocl box widget is a combination of the gtk box (or button box) and the gtk frame. If necessary gtk alignment widgets are used when adding children.

## WIDGET COMMANDS

The box command creates a new Tcl command whose name is an ID returned on widget creation. This command may be used to invoke various operations on the widget. It has the following general form:
ID option ?arg arg ...?
option and arg determine the exact behavior of the command. The following commands are possible for box widgets:

ID add widgetList ?-option optionVal ...?
  Add widgets to the box. Valid options are -homogeneous, -spacing, -expand, -fill, -scale and .

ID addBegin widgetList ?-option optionVal ...?
  Synonym for add.

ID addEnd widgetList ?-option optionVal ...?
  Same as add but adds widgets at the end.

## KEYWORDS

Copyright © 2001 - 2002 P. G. Baum